from interface import Interface
import numpy
from pudb import set_trace as bp

interface = Interface(build=True, nrows=1, ncols=1)

X = numpy.linspace(0, 2 * numpy.pi, 180)
Y = numpy.cos(X)

interface.set_title("Daily ground temperatures")
interface.set_xlabel(0, "Depth [m]")
interface.set_ylabel(0, "Temperature [K]")

interface.plot(0, X, Y, label="0")
interface.set_legend_title(0, "Hour angle [deg]")
interface.save("tmp.svg")
interface.show(False)
bp()
interface.show(True)
